国产Linux游戏《时空浩劫》,有兴趣的帮测下

游戏讨论
头像
qy117121
论坛版主
帖子: 49906
注册时间: 2007-12-14 13:40
系统: Winbuntu
来自: 志虚国乌由市
送出感谢: 17 次
接收感谢: 335 次
联系:

Re: 国产Linux游戏,有兴趣的帮测下

#31

帖子 qy117121 » 2012-02-05 12:05

:em11
能运行了,就是我的电脑配置太低,玩不了 :em06
渠月 · QY    https://vz.rs/u
本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu
头像
ooinzaghi
帖子: 1763
注册时间: 2010-11-18 15:55
系统: ubuntu16.04+win10
来自: Auir
送出感谢: 8 次
接收感谢: 7 次

Re: 国产Linux游戏,有兴趣的帮测下

#32

帖子 ooinzaghi » 2012-02-05 13:27

从不玩网游的路过,但还是帮顶 :em11
势不可去尽,话不可说尽,凡事太尽,缘分势必早尽。

生命不息,折腾不止!在折腾中进步!

dropbox邀请链接: https://db.tt/OMGJP72tMW
avanna
帖子: 22
注册时间: 2012-01-20 11:58
送出感谢: 0
接收感谢: 1 次

Re: 国产Linux游戏,有兴趣的帮测下

#33

帖子 avanna » 2012-02-05 13:40

phoenixlzx 写了:那段错误怎么解决?
那个是没有安装cg,程序退出时候的提示错误。
头像
guoyunhebrave
帖子: 167
注册时间: 2012-01-28 21:43
送出感谢: 4 次
接收感谢: 0
联系:

Re: 国产Linux游戏,有兴趣的帮测下

#34

帖子 guoyunhebrave » 2012-02-05 13:55

WOW :em38
你可能知道维基百科,但可能不知道维基教科书。如果你还不知道,可以点一下。这里有很多志愿者愿意无私奉献时间和精力,与全人类分享知识。

欢迎访问我的博客

我喜欢IRC聊天。

LibreOffice是我的最爱。
头像
gbcwbz
帖子: 297
注册时间: 2009-05-09 14:58
来自: 江苏
送出感谢: 0
接收感谢: 0

Re: 国产Linux游戏,有兴趣的帮测下

#35

帖子 gbcwbz » 2012-02-05 14:40

intel继承显卡的可以玩吗?
avanna
帖子: 22
注册时间: 2012-01-20 11:58
送出感谢: 0
接收感谢: 1 次

Re: 国产Linux游戏,有兴趣的帮测下

#36

帖子 avanna » 2012-02-05 15:07

gbcwbz 写了:intel继承显卡的可以玩吗?
应该是玩不了,游戏很多纹理创建2048*2048大小的。遗憾哦。555555
头像
phoenixlzx
论坛版主
帖子: 2245
注册时间: 2009-07-29 20:11
系统: Arch Linux
来自: Gensokyo
送出感谢: 4 次
接收感谢: 17 次
联系:

Re: 国产Linux游戏,有兴趣的帮测下

#37

帖子 phoenixlzx » 2012-02-05 16:07

是运行游戏前提示的段错误,游戏启动不了
头像
qy117121
论坛版主
帖子: 49906
注册时间: 2007-12-14 13:40
系统: Winbuntu
来自: 志虚国乌由市
送出感谢: 17 次
接收感谢: 335 次
联系:

Re: 国产Linux游戏,有兴趣的帮测下

#38

帖子 qy117121 » 2012-02-05 16:13

phoenixlzx 写了:是运行游戏前提示的段错误,游戏启动不了
是20楼那个?

ubuntu 下按28楼的安装方法后就可以运行了,没有段错误
arch的话类似吧
渠月 · QY    https://vz.rs/u
本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu
头像
phoenixlzx
论坛版主
帖子: 2245
注册时间: 2009-07-29 20:11
系统: Arch Linux
来自: Gensokyo
送出感谢: 4 次
接收感谢: 17 次
联系:

Re: 国产Linux游戏,有兴趣的帮测下

#39

帖子 phoenixlzx » 2012-02-05 16:31

代码: 全选

./wx_unx.bin 
Gtk-Message: Failed to load module "canberra-gtk-module"
ALSA lib dlmisc.c:236:(snd1_dlobj_cache_get) Cannot open shared library /usr/lib32/alsa-lib/libasound_module_pcm_pulse.so
AL lib: alsa.c:512: Could not open playback device 'default': 没有那个设备或地址
AL lib: oss.c:169: Could not open /dev/dsp: 没有那个文件或目录

(wx_unx.bin:1735): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“oxygen-gtk”,

(wx_unx.bin:1735): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“oxygen-gtk”,
段错误
avanna
帖子: 22
注册时间: 2012-01-20 11:58
送出感谢: 0
接收感谢: 1 次

Re: 国产Linux游戏,有兴趣的帮测下

#40

帖子 avanna » 2012-02-05 17:13

phoenixlzx 写了:

代码: 全选

./wx_unx.bin 
Gtk-Message: Failed to load module "canberra-gtk-module"
ALSA lib dlmisc.c:236:(snd1_dlobj_cache_get) Cannot open shared library /usr/lib32/alsa-lib/libasound_module_pcm_pulse.so
AL lib: alsa.c:512: Could not open playback device 'default': 没有那个设备或地址
AL lib: oss.c:169: Could not open /dev/dsp: 没有那个文件或目录

(wx_unx.bin:1735): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“oxygen-gtk”,

(wx_unx.bin:1735): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“oxygen-gtk”,
段错误
可能是少libasound2和libasound2-plugins2个库。在ubuntu11.10下,这个似乎已经是默认安装。
这2个库可以用新立得安装下。
头像
qy117121
论坛版主
帖子: 49906
注册时间: 2007-12-14 13:40
系统: Winbuntu
来自: 志虚国乌由市
送出感谢: 17 次
接收感谢: 335 次
联系:

Re: 国产Linux游戏,有兴趣的帮测下

#41

帖子 qy117121 » 2012-02-05 17:14

avanna 写了:
phoenixlzx 写了:

代码: 全选

./wx_unx.bin 
Gtk-Message: Failed to load module "canberra-gtk-module"
ALSA lib dlmisc.c:236:(snd1_dlobj_cache_get) Cannot open shared library /usr/lib32/alsa-lib/libasound_module_pcm_pulse.so
AL lib: alsa.c:512: Could not open playback device 'default': 没有那个设备或地址
AL lib: oss.c:169: Could not open /dev/dsp: 没有那个文件或目录

(wx_unx.bin:1735): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“oxygen-gtk”,

(wx_unx.bin:1735): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“oxygen-gtk”,
段错误
可能是少libasound2和libasound2-plugins2个库。在ubuntu11.10下,这个似乎已经是默认安装。
这2个库可以用新立得安装下。
他用的是arch :em04
渠月 · QY    https://vz.rs/u
本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu
avanna
帖子: 22
注册时间: 2012-01-20 11:58
送出感谢: 0
接收感谢: 1 次

Re: 国产Linux游戏,有兴趣的帮测下

#42

帖子 avanna » 2012-02-05 17:24

qy117121 写了:
avanna 写了:
phoenixlzx 写了:

代码: 全选

./wx_unx.bin 
Gtk-Message: Failed to load module "canberra-gtk-module"
ALSA lib dlmisc.c:236:(snd1_dlobj_cache_get) Cannot open shared library /usr/lib32/alsa-lib/libasound_module_pcm_pulse.so
AL lib: alsa.c:512: Could not open playback device 'default': 没有那个设备或地址
AL lib: oss.c:169: Could not open /dev/dsp: 没有那个文件或目录

(wx_unx.bin:1735): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“oxygen-gtk”,

(wx_unx.bin:1735): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“oxygen-gtk”,
段错误
可能是少libasound2和libasound2-plugins2个库。在ubuntu11.10下,这个似乎已经是默认安装。
这2个库可以用新立得安装下。
他用的是arch :em04
archlinux???这个。。。我就太低手了。一个centos各种安装就能把我折腾个半死。
如果能够装上,请一定介绍下。应该也就是少些库的缘故。
头像
phoenixlzx
论坛版主
帖子: 2245
注册时间: 2009-07-29 20:11
系统: Arch Linux
来自: Gensokyo
送出感谢: 4 次
接收感谢: 17 次
联系:

Re: 国产Linux游戏,有兴趣的帮测下

#43

帖子 phoenixlzx » 2012-02-05 17:59

~:$ whereis libasound

libasound: /usr/lib/libasound.so
~:$ pacman -Qo /usr/lib/libasound.so

/usr/lib/libasound.so 属于 alsa-lib 1.0.25-1
~:$ yaourt alsa lib32

1 multilib/lib32-alsa-lib 1.0.25-1 [installed]
An alternative implementation of Linux sound support (32 bit)
2 multilib/lib32-alsa-oss 1.0.25-1 [installed]
OSS compatibility library (32 bit)
3 multilib/lib32-alsa-plugins 1.0.25-1 [installed]
Extra alsa plugins (32-bit)
4 aur/lib32-alsa-lib-git 20110826-1 (2)
An alternative implementation of Linux sound support (32 bit) - Git version
5 aur/lib32-alsa-plugins-git 20110920-1 (4)
Extra alsa plugins (32-bit) - Git version
6 aur/lib32-alsaequal 0.6-4 (2)
A real-time adjustable equalizer plugin for ALSA sound server.
7 aur/lib32-glc 0.5.8-2 (10)
An ALSA & OpenGL capture tool for Linux (32 bit libs for 32 bit apps)
8 aur/lib32-lash 0.6.0~rc2-1 (Out of Date) (5)
A session management system for JACK and ALSA
==> Enter n° of packages to be installed (ex: 1 2 3 or 1-3)
==> -------------------------------------------------------
==>
求解。
avanna
帖子: 22
注册时间: 2012-01-20 11:58
送出感谢: 0
接收感谢: 1 次

Re: 国产Linux游戏,有兴趣的帮测下

#44

帖子 avanna » 2012-02-05 18:15

1 multilib/lib32-alsa-lib 1.0.25-1 [installed]
An alternative implementation of Linux sound support (32 bit)
2 multilib/lib32-alsa-oss 1.0.25-1 [installed]
OSS compatibility library (32 bit)
3 multilib/lib32-alsa-plugins 1.0.25-1 [installed]

后面的installed是不是表示已经安装过了的?
如果已经安装过了,应该就可以了,后面的扩展可以不需要的。
我的qq是:1042948943,我想过几天也装个archlinux,如果有不明白,可以向你请教下。
头像
phoenixlzx
论坛版主
帖子: 2245
注册时间: 2009-07-29 20:11
系统: Arch Linux
来自: Gensokyo
送出感谢: 4 次
接收感谢: 17 次
联系:

Re: 国产Linux游戏,有兴趣的帮测下

#45

帖子 phoenixlzx » 2012-02-05 18:25

我一般不怎么上QQ,想试试看Arch的话,欢迎你到Archlinux中文论坛看看。 :em01
回复

回到 “游戏和游戏模拟器”